# Method: notes.permissions.batchDelete

- [HTTP request](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes.permissions/batchDelete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes.permissions/batchDelete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes.permissions/batchDelete#body.request_body)
  - [JSON representation](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes.permissions/batchDelete#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes.permissions/batchDelete#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes.permissions/batchDelete#body.aspect)

Deletes one or more permissions on the note. The specified entities will immediately lose access. A permission with the `OWNER` role can't be removed. If removing a permission fails, then the entire request fails and no changes are made. Returns a 400 bad request error if a specified permission does not exist on the note.

### HTTP request

`POST https://keep.googleapis.com/v1/{parent=notes/*}/permissions:batchDelete`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The parent resource shared by all permissions being deleted. Format: `notes/{note}` If this is set, the parent of all of the permissions specified in the DeletePermissionRequest messages must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "names": [ string ] } ``` |

| Fields ||
|---|---|
| `names[]` | `string` Required. The names of the permissions to delete. Format: `notes/{note}/permissions/{permission}` |

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/keep`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).